Bug 193603 - rgmanager init script should fail it it can't start
rgmanager init script should fail it it can't start
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-30 17:50 EDT by Corey Marthaler
Modified: 2009-04-16 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0149
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 17:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds 30 second wait for status report from rgmanager on startup (4.16 KB, patch)
2006-09-06 15:04 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2006-05-30 17:50:57 EDT
Description of problem:
Without any cluster services (ccsd, cman, lock_gulm) running, an attempt to
start the rgmanger init script passed as if it worked. The log in the console
messages it a bit more descriptive though.

[root@taft-04 init.d]# service rgmanager start
Starting Cluster Service Manager:                          [  OK  ]
[root@taft-04 init.d]# echo $?
0
[root@taft-04 init.d]# clustat
Could not connect to cluster service
[root@taft-04 init.d]# ps -ef | grep clurgmgrd
root      4694  4214  0 12:02 pts/0    00:00:00 grep clurgmgrd


May 30 12:01:42 taft-04 clurgmgrd[4592]: <notice> Resource Group Manager Starting
May 30 12:01:42 taft-04 clurgmgrd[4592]: <info> Loading Service Data
May 30 12:01:42 taft-04 rgmanager: clurgmgrd startup succeeded
May 30 12:01:42 taft-04 clurgmgrd[4592]: <crit> #5: Couldn't connect to ccsd!
May 30 12:01:42 taft-04 clurgmgrd[4592]: <crit> #8: Couldn't initialize services


Version-Release number of selected component (if applicable):
rgmanager-1.9.49-0
Comment 2 Lon Hohberger 2006-09-06 15:04:00 EDT
Created attachment 135688 [details]
Adds 30 second wait for status report from rgmanager on startup

This will allow the admin to see if rgmanager started correctly or not from
init script output, and has 30 second timeout by default.  This will not
override $RGMGR_OPTS if the user has set them.
Comment 3 Corey Marthaler 2006-11-21 18:17:57 EST
The proper status is now reported, but still missing the proper return code in
rgmanager-1.9.55-0.

[root@link-07 tmp]# service rgmanager start
Starting Cluster Service Manager:                          [FAILED]
[root@link-07 tmp]# echo $?
0
Comment 4 Lon Hohberger 2006-12-13 13:20:36 EST
Fixes in CVS.
Comment 5 Corey Marthaler 2007-04-23 15:41:23 EDT
Marking verified.
Comment 7 Red Hat Bugzilla 2007-05-10 17:16:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0149.html

Note You need to log in before you can comment on or make changes to this bug.